summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2021-08-08 14:46:22 +0000
committerDaniel Bermond2021-08-08 14:46:22 +0000
commitcf68102f952f706ac9446e97171d1e0d36e7f900 (patch)
tree63b7b1c4353b6e0e1decf7c93f2aed9c185f16a5
parent81e31b81a599b803726898248a41f3c958fbab14 (diff)
downloadaur-level-zero-git.tar.gz
Update dependencies and cmake command
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD6
2 files changed, 4 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 6a8d2993264..1f9f791e454 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = level-zero-git
pkgdesc = API for accessing low level interfaces in oneAPI platform devices (git version)
- pkgver = 0.91.10.r2.g13d1883
+ pkgver = 1.4.1.r2.gb8a433d
pkgrel = 1
url = https://spec.oneapi.com/versions/latest/elements/l0/source/index.html
arch = x86_64
@@ -20,6 +20,6 @@ pkgname = level-zero-headers-git
pkgname = level-zero-loader-git
pkgdesc = oneAPI Level Zero loader (git version)
depends = gcc-libs
+ optdepends = level-zero-gpu-driver: for packaged Level Zero GPU driver
provides = level-zero-loader
conflicts = level-zero-loader
-
diff --git a/PKGBUILD b/PKGBUILD
index 351a3c9825d..553631a92bf 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgbase=level-zero-git
pkgname=('level-zero-headers-git' 'level-zero-loader-git')
-pkgver=0.91.10.r2.g13d1883
+pkgver=1.4.1.r2.gb8a433d
pkgrel=1
pkgdesc='API for accessing low level interfaces in oneAPI platform devices (git version)'
arch=('x86_64')
@@ -17,8 +17,6 @@ pkgver() {
}
build() {
- export CFLAGS+=" ${CPPFLAGS}"
- export CXXFLAGS+=" ${CPPFLAGS}"
cmake -B build -S level-zero \
-DCMAKE_BUILD_TYPE='None' \
-DCMAKE_INSTALL_PREFIX='/usr' \
@@ -44,7 +42,7 @@ package_level-zero-headers-git() {
package_level-zero-loader-git() {
pkgdesc='oneAPI Level Zero loader (git version)'
depends=('gcc-libs')
- #optdepends=('level-zero-gpu-driver: for packaged Level Zero GPU driver') # no package provides this yet
+ optdepends=('level-zero-gpu-driver: for packaged Level Zero GPU driver')
provides=('level-zero-loader')
conflicts=('level-zero-loader')